HibernateTypeDescriptor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class HibernateTypeDescriptor

    java.lang.Object
      org.hibernate.metamodel.binding.HibernateTypeDescriptor

    public class HibernateTypeDescriptor

extends Object

TODO : javadoc

Constructor Summary
`HibernateTypeDescriptor()`

Method Summary
`String` | `getExplicitTypeName()`
`String` | `getJavaTypeName()`
`Type` | `getResolvedTypeMapping()`
`Map<String,String>` | `getTypeParameters()`
`boolean` | `isToOne()`
`void` | `setExplicitTypeName(String explicitTypeName)`
`void` | `setJavaTypeName(String javaTypeName)`
`void` | `setResolvedTypeMapping(Type resolvedTypeMapping)`
`void` | `setToOne(boolean toOne)`
`void` | `setTypeParameters(Map<String,String> typeParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateTypeDescriptor

    public HibernateTypeDescriptor()

Method Detail

### getExplicitTypeName

    public String getExplicitTypeName()

### setExplicitTypeName

    public void setExplicitTypeName(String explicitTypeName)

### getJavaTypeName

    public String getJavaTypeName()

### setJavaTypeName

    public void setJavaTypeName(String javaTypeName)

### isToOne

    public boolean isToOne()

### setToOne

    public void setToOne(boolean toOne)

### getTypeParameters

    public Map<String,String> getTypeParameters()

### setTypeParameters

    public void setTypeParameters(Map<String,String> typeParameters)

### getResolvedTypeMapping

    public Type getResolvedTypeMapping()

### setResolvedTypeMapping

    public void setResolvedTypeMapping(Type resolvedTypeMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.